Package: org.codehaus.groovy.syntax

## [Java] Class SyntaxException

- org.codehaus.groovy.syntax.SyntaxException

- Base exception indicating a syntax error.

  Authors:
    bob mcwhirter
  Version:
    \$Id\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SyntaxException (String message, int startLine, int startColumn)`
    `SyntaxException (String message, int startLine, int startColumn, int endLine, int endColumn)`
    `SyntaxException (String message, Throwable cause, int startLine, int startColumn)`
    `SyntaxException (String message, Throwable cause, int startLine, int startColumn, int endLine, int endColumn)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `getEndColumn()` @return the end column on which the error occurs
    `int` | `getEndLine()` @return the end line on which the error occurs
    `int` | `getLine()` Retrieve the line upon which the error occurred.
    `String` | `getMessage()`
    `String` | `getOriginalMessage()`
    `String` | `getSourceLocator()`
    `int` | `getStartColumn()` Retrieve the column upon which the error occurred.
    `int` | `getStartLine()` @return the line on which the error occurs
    `void` | `setSourceLocator(String sourceLocator)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyException` | `isFatal, setFatal`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public SyntaxException(String message, int startLine, int startColumn)

    - #### public SyntaxException(String message, int startLine, int startColumn, int endLine, int endColumn)

    - #### public SyntaxException(String message, Throwable cause, int startLine, int startColumn)

    - #### public SyntaxException(String message, Throwable cause, int startLine, int startColumn, int endLine, int endColumn)

  - ### Method Detail

    - #### public int getEndColumn()

      Returns:
        the end column on which the error occurs

    - #### public int getEndLine()

      Returns:
        the end line on which the error occurs

    - #### public int getLine()

      Retrieve the line upon which the error occurred.

      Returns:
        The line.

    - #### public String getMessage()

    - #### public String getOriginalMessage()

    - #### public String getSourceLocator()

    - #### public int getStartColumn()

      Retrieve the column upon which the error occurred.

      Returns:
        The column.

    - #### public int getStartLine()

      Returns:
        the line on which the error occurs

    - #### public void setSourceLocator(String sourceLocator)